# -*- mode: python; encoding: utf-8; -*-
import unittest
import sys
import os

import dirs
dirs.default_irpf_dir = dirs.IRPFTestDir()

from items import Items
import xml.dom.minidom

class TestItems(unittest.TestCase):

    def setUp(self):
        doc = xml.dom.minidom.DOMImplementation().createDocument("", "doc", "")
        el = doc.createElement("items")

        self.items = Items(el)
        self.items.new_item().set_attr("value", "0,00")
        self.items.set_attr("total", "9.999,99")

    def test_GetBens(self):
        self.assertEqual(self.items.get_attr('total'), '9.999,99')
        self.assertEqual(self.items.items[0].get_attr('value'), '0,00')

if __name__ == '__main__':
    unittest.main()

# vim:tabstop=4:expandtab:smartindent:fenc=utf8

